Index: c/src/lib/libbsp/i386/pc386/ide/ide.c
===================================================================
--- c/src/lib/libbsp/i386/pc386/ide/ide.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/i386/pc386/ide/ide.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -37,5 +37,5 @@
 | Function:                                                                 |
 \*-------------------------------------------------------------------------*/
-boolean pc386_ide_probe
+bool pc386_ide_probe
 (
 /*-------------------------------------------------------------------------*\
@@ -49,8 +49,8 @@
 /*-------------------------------------------------------------------------*\
 | Return Value:                                                             |
-|    TRUE, when flash disk available                                        |
-\*=========================================================================*/
-{
-  boolean ide_card_plugged = TRUE; /* assume: we have a disk here */
+|    true, when flash disk available                                        |
+\*=========================================================================*/
+{
+  bool ide_card_plugged = true; /* assume: we have a disk here */
 
   return ide_card_plugged;
Index: c/src/lib/libbsp/m68k/gen68360/spi/mc68360_spidrv.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/spi/mc68360_spidrv.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/m68k/gen68360/spi/mc68360_spidrv.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -82,5 +82,5 @@
  m360_spi_softc_t *softc_ptr,            /* handle                         */
  uint32_t bits_per_char,                 /* bits per character             */
- boolean  lsb_first,                     /* TRUE: send LSB first           */
+ bool     lsb_first,                     /* TRUE: send LSB first           */
  uint16_t *spimode                       /* result value                   */
 )
Index: c/src/lib/libbsp/m68k/mcf5206elite/tod/todcfg.c
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/tod/todcfg.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/m68k/mcf5206elite/tod/todcfg.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -19,5 +19,5 @@
 
 /* Forward function declaration */
-boolean mcf5206elite_ds1307_probe(int minor);
+bool mcf5206elite_ds1307_probe(int minor);
 
 extern rtc_fns ds1307_fns;
@@ -56,5 +56,5 @@
  *     TRUE, if RTC device is present
  */
-boolean
+bool
 mcf5206elite_ds1307_probe(int minor)
 {
@@ -66,5 +66,5 @@
 
     if (minor >= NUM_RTCS)
-        return FALSE;
+        return false;
 
     rtc = RTC_Table + minor;
@@ -75,10 +75,10 @@
         status = i2c_wrbyte(bus, addr, 0);
         if (status == I2C_NO_DEVICE)
-            return FALSE;
+            return false;
         try++;
     } while ((try < 15) && (status != I2C_SUCCESSFUL));
     if (status == I2C_SUCCESSFUL)
-        return TRUE;
+        return true;
     else
-        return FALSE;
+        return false;
 }
Index: c/src/lib/libbsp/m68k/mrm332/misc/interr.c
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/misc/interr.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/m68k/mrm332/misc/interr.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -67,5 +67,5 @@
 void volatile _Internal_error_Occurred(
   Internal_errors_Source  the_source,
-  boolean                 is_internal,
+  bool                    is_internal,
   uint32_t                the_error
 )
Index: c/src/lib/libbsp/m68k/ods68302/startup/m68k-stub.c
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/startup/m68k-stub.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/m68k/ods68302/startup/m68k-stub.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -151,5 +151,5 @@
 #define BUFMAX 400
 
-static char initialized;  /* boolean flag. != 0 means we've been initialized */
+static bool initialized = false;  /* boolean flag. != 0 means we've been initialized */
 
 int remote_debug;
@@ -1067,5 +1067,5 @@
   }
 
-  initialized = 1;
+  initialized = true;
 
 #if defined(UPDATE_DISPLAY)
Index: c/src/lib/libbsp/m68k/shared/gdbstub/m68k-stub.c
===================================================================
--- c/src/lib/libbsp/m68k/shared/gdbstub/m68k-stub.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/m68k/shared/gdbstub/m68k-stub.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -144,5 +144,5 @@
 #define BUFMAX 400
 
-static char initialized;  /* boolean flag. != 0 means we've been initialized */
+static bool initialized = false ;  /* boolean flag. != 0 means we've been initialized */
 
 int     remote_debug;
@@ -1281,5 +1281,5 @@
   }
 
-  initialized = 1;
+  initialized = true;
 
 }
Index: c/src/lib/libbsp/powerpc/ep1a/console/config.c
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/console/config.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/ep1a/console/config.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -28,16 +28,16 @@
  * Configuration specific probe routines
  */
-static boolean config_68360_scc_base_probe_1(int minor);
-static boolean config_68360_scc_base_probe_2(int minor);
-static boolean config_68360_scc_base_probe_3(int minor);
-static boolean config_68360_scc_base_probe_4(int minor);
-static boolean config_68360_scc_base_probe_5(int minor);
-static boolean config_68360_scc_base_probe_6(int minor);
-static boolean config_68360_scc_base_probe_7(int minor);
-static boolean config_68360_scc_base_probe_8(int minor);
-static boolean config_68360_scc_base_probe_9(int minor);
-static boolean config_68360_scc_base_probe_10(int minor);
-static boolean config_68360_scc_base_probe_11(int minor);
-static boolean config_68360_scc_base_probe_12(int minor);
+static bool config_68360_scc_base_probe_1(int minor);
+static bool config_68360_scc_base_probe_2(int minor);
+static bool config_68360_scc_base_probe_3(int minor);
+static bool config_68360_scc_base_probe_4(int minor);
+static bool config_68360_scc_base_probe_5(int minor);
+static bool config_68360_scc_base_probe_6(int minor);
+static bool config_68360_scc_base_probe_7(int minor);
+static bool config_68360_scc_base_probe_8(int minor);
+static bool config_68360_scc_base_probe_9(int minor);
+static bool config_68360_scc_base_probe_10(int minor);
+static bool config_68360_scc_base_probe_11(int minor);
+static bool config_68360_scc_base_probe_12(int minor);
 
 extern console_fns mc68360_scc_fns;
@@ -392,41 +392,41 @@
 }
                                                                                                                  
-static boolean config_68360_scc_base_probe_3( int minor ) {
+static bool config_68360_scc_base_probe_3( int minor ) {
   return config_68360_scc_base_probe( minor, 0, 11, 3);
 }
                                                                                                                  
-static boolean config_68360_scc_base_probe_4( int minor ) {
+static bool config_68360_scc_base_probe_4( int minor ) {
   return config_68360_scc_base_probe( minor, 0, 11, 4);
 }
                                                                                                                 
-static boolean config_68360_scc_base_probe_5( int minor ) {
+static bool config_68360_scc_base_probe_5( int minor ) {
   return config_68360_scc_base_probe( minor, 0, 16, 1);
 }
                                                                                                                  
-static boolean config_68360_scc_base_probe_6( int minor ) {
+static bool config_68360_scc_base_probe_6( int minor ) {
   return config_68360_scc_base_probe( minor, 0, 16, 2);
 }
                                                                                                                  
-static boolean config_68360_scc_base_probe_7( int minor ) {
+static bool config_68360_scc_base_probe_7( int minor ) {
   return config_68360_scc_base_probe( minor, 0, 16, 3);
 }
                                                                                                                  
-static boolean config_68360_scc_base_probe_8( int minor ) {
+static bool config_68360_scc_base_probe_8( int minor ) {
   return config_68360_scc_base_probe( minor, 0, 16, 4);
 }
                                                                                                                  
-static boolean config_68360_scc_base_probe_9( int minor ) {
+static bool config_68360_scc_base_probe_9( int minor ) {
   return config_68360_scc_base_probe( minor, 0, 15, 1);
 }
                                                                                                                  
-static boolean config_68360_scc_base_probe_10( int minor ) {
+static bool config_68360_scc_base_probe_10( int minor ) {
   return config_68360_scc_base_probe( minor, 0, 15, 2);
 }
                                                                                                                  
-static boolean config_68360_scc_base_probe_11( int minor ) {
+static bool config_68360_scc_base_probe_11( int minor ) {
   return config_68360_scc_base_probe( minor, 0, 15, 3);
 }
                                                                                                                  
-static boolean config_68360_scc_base_probe_12( int minor ) {
+static bool config_68360_scc_base_probe_12( int minor ) {
   return config_68360_scc_base_probe( minor, 0, 15, 4);
 }
Index: c/src/lib/libbsp/powerpc/ep1a/console/console.h
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/console/console.h	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/ep1a/console/console.h	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -36,3 +36,3 @@
 extern unsigned long	Console_Port_Count;
 
-boolean Console_Port_Tbl_Init_ppc8245(int minor);
+bool Console_Port_Tbl_Init_ppc8245(int minor);
Index: c/src/lib/libbsp/powerpc/gen5200/bestcomm/bestcomm_glue.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/bestcomm/bestcomm_glue.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/gen5200/bestcomm/bestcomm_glue.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -202,5 +202,5 @@
   };
 
-static boolean bestcomm_glue_is_initialized = FALSE;
+static bool bestcomm_glue_is_initialized = false;
 /*=========================================================================*\
 | Function:                                                                 |
@@ -226,5 +226,5 @@
 {
   if (!bestcomm_glue_is_initialized) {
-    bestcomm_glue_is_initialized = TRUE;
+    bestcomm_glue_is_initialized = true;
     /*
      * Set task bar to begin of sram
@@ -260,3 +260,2 @@
   }
 }
-
Index: c/src/lib/libbsp/powerpc/gen5200/ide/pcmcia_ide.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/ide/pcmcia_ide.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/gen5200/ide/pcmcia_ide.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -130,5 +130,5 @@
 #define PCMCIA_IDE_WR_SECTOR_SIZE 512   /* FIXME: make this better... */
 
-boolean mpc5200_dma_task_started[2] = {FALSE,FALSE};
+bool mpc5200_dma_task_started[2] = {false,false};
 #endif /* IDE_USE_DMA */
 
@@ -144,11 +144,11 @@
 
 void mpc5200_pcmciaide_dma_blockop(
-  boolean, int, uint16_t, rtems_blkdev_sg_buffer *, uint32_t *, uint32_t *);
+  bool, int, uint16_t, rtems_blkdev_sg_buffer *, uint32_t *, uint32_t *);
 /*
  * support functions for PCMCIA IDE IF
  */
-boolean mpc5200_pcmciaide_probe(int minor)
+bool mpc5200_pcmciaide_probe(int minor)
   {
-  boolean ide_card_plugged = FALSE; /* assume: we don't have a card plugged in */
+  bool ide_card_plugged = false; /* assume: we don't have a card plugged in */
   struct mpc5200_gpt *gpt = (struct mpc5200_gpt *)(&mpc5200.gpt[GPT2]);
 
@@ -159,8 +159,8 @@
   /* Check for card detection (-CD0) */
   if((gpt->status) & GPT_STATUS_PIN)
-    ide_card_plugged = FALSE;
+    ide_card_plugged = false;
   else
 #endif
-    ide_card_plugged = TRUE;
+    ide_card_plugged = true;
 
   return ide_card_plugged;
@@ -319,5 +319,5 @@
 }
 
-void mpc5200_pcmciaide_dma_blockop(boolean is_write,
+void mpc5200_pcmciaide_dma_blockop(bool is_write,
 				   int minor, 
 				   uint16_t block_size, 
@@ -339,5 +339,5 @@
   rtems_event_set events;
   BDIdx nxt_bd_idx;
-  boolean use_irq = (_System_state_Current == SYSTEM_STATE_UP);
+  bool use_irq = (_System_state_Current == SYSTEM_STATE_UP);
   /*
    * determine number of blocks
@@ -455,5 +455,5 @@
   uint16_t *lbuf = (uint16_t*)((uint8_t*)(bufs[(*cbuf)].buffer)+(*pos));
   uint32_t  llength = bufs[(*cbuf)].length;
-  boolean use_dma;
+  bool      use_dma;
   
 #if IDE_USE_STATISTICS
@@ -466,8 +466,8 @@
    * Is this needed?
    */
-  use_dma = TRUE;
-  /* use_dma = FALSE; */
+  use_dma = true;
+  /* use_dma = false; */
 #else
-  use_dma = FALSE;
+  use_dma = false;
 #endif
   if (use_dma) {
@@ -548,5 +548,5 @@
   uint16_t *lbuf = (uint16_t *)((uint8_t *)(bufs[(*cbuf)].buffer) + (*pos));
   uint32_t  llength = bufs[(*cbuf)].length;
-  boolean use_dma;
+  bool use_dma;
 
 #if IDE_USE_STATISTICS
@@ -559,7 +559,7 @@
    * Is this needed?
    */
-  use_dma = TRUE;
+  use_dma = true;
 #else
-  use_dma = FALSE;
+  use_dma = false;
 #endif
 
@@ -578,5 +578,5 @@
      * DMA BDs may get ready as soon as possible
      */
-    mpc5200_pcmciaide_dma_blockop(TRUE, /* write opeartion */
+    mpc5200_pcmciaide_dma_blockop(true, /* write opeartion */
 				  minor,
 				  block_size,bufs,cbuf,pos);
Index: c/src/lib/libbsp/powerpc/gen5200/tod/todcfg.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/tod/todcfg.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/gen5200/tod/todcfg.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -41,5 +41,5 @@
 
 /* Forward function declaration */
-boolean mpc5200_pcf8563_probe(int minor);
+bool mpc5200_pcf8563_probe(int minor);
 
 extern rtc_fns pcf8563_fns;
@@ -78,5 +78,5 @@
  *     TRUE, if RTC device is present
  */
-boolean
+bool
 mpc5200_pcf8563_probe(int minor)
 {
@@ -88,5 +88,5 @@
 
     if (minor >= NUM_RTCS)
-        return FALSE;
+        return false;
 
     rtc = RTC_Table + minor;
@@ -97,10 +97,10 @@
         status = i2c_wrbyte(bus, addr, 0);
         if (status == I2C_NO_DEVICE)
-            return FALSE;
+            return false;
         try++;
     } while ((try < 15) && (status != I2C_SUCCESSFUL));
     if (status == I2C_SUCCESSFUL)
-        return TRUE;
+        return true;
     else
-        return FALSE;
+        return false;
 }
Index: c/src/lib/libbsp/powerpc/gen83xx/console/console.h
===================================================================
--- c/src/lib/libbsp/powerpc/gen83xx/console/console.h	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/gen83xx/console/console.h	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -36,3 +36,3 @@
 extern unsigned long	Console_Port_Count;
 
-boolean Console_Port_Tbl_Init_ppc8245(int minor);
+bool Console_Port_Tbl_Init_ppc8245(int minor);
Index: c/src/lib/libbsp/powerpc/haleakala/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/haleakala/startup/bspstart.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/haleakala/startup/bspstart.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -82,5 +82,5 @@
 /* Expected by clock.c */
 uint32_t	bsp_clicks_per_usec;
-boolean		bsp_timer_internal_clock;   /* TRUE, when timer runs with CPU clk */
+bool		bsp_timer_internal_clock;   /* true, when timer runs with CPU clk */
 uint32_t	bsp_timer_least_valid;
 uint32_t	bsp_timer_average_overhead;
Index: c/src/lib/libbsp/powerpc/mbx8xx/ide/pcmcia_ide.c
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/ide/pcmcia_ide.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/mbx8xx/ide/pcmcia_ide.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -40,5 +40,5 @@
 | Function:                                                                 |
 \*-------------------------------------------------------------------------*/
-boolean mbx8xx_pcmciaide_probe
+bool mbx8xx_pcmciaide_probe
 (
 /*-------------------------------------------------------------------------*\
@@ -52,8 +52,8 @@
 /*-------------------------------------------------------------------------*\
 | Return Value:                                                             |
-|    TRUE, when flash disk available                                        |
-\*=========================================================================*/
-{
-  boolean ide_card_plugged = TRUE; /* assume: we have a card plugged in */
+|    true, when flash disk available                                        |
+\*=========================================================================*/
+{
+  bool ide_card_plugged = true; /* assume: we have a card plugged in */
 
   /*
@@ -62,5 +62,5 @@
   if ((m8xx.pipr
        & (M8xx_PCMCIA_PIPR_CACD1 | M8xx_PCMCIA_PIPR_CACD2)) != 0x00) {
-    ide_card_plugged = FALSE;
+    ide_card_plugged = false;
   }
   /*
@@ -78,6 +78,6 @@
 #define CIS_BYTE(pos) (((uint8_t*)PCMCIA_ATTRB_ADDR)[(pos)*2])
     int cis_pos = 0;
-    boolean fixed_disk_tuple_found = FALSE;
-    boolean ata_disk_tuple_found   = FALSE;
+    bool fixed_disk_tuple_found = false;
+    bool ata_disk_tuple_found   = false;
 
     while ((cis_pos < 256) &&
@@ -89,10 +89,10 @@
       if ((CIS_BYTE(cis_pos  ) == 0x21) &&
 	  (CIS_BYTE(cis_pos+2) == 0x04)) {
-	fixed_disk_tuple_found = TRUE;
+	fixed_disk_tuple_found = true;
       }
       else if ((CIS_BYTE(cis_pos  ) == 0x22) &&
 	       (CIS_BYTE(cis_pos+2) == 0x01) &&
 	       (CIS_BYTE(cis_pos+3) == 0x01)) {
-	ata_disk_tuple_found = TRUE;
+	ata_disk_tuple_found = true;
       }
       /*
Index: c/src/lib/libbsp/powerpc/mbx8xx/irq/irq.c
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/irq/irq.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/mbx8xx/irq/irq.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -516,5 +516,5 @@
   if ( _Thread_Do_post_task_switch_extension ||
        _Thread_Executing->do_post_task_switch_extension ) {
-    _Thread_Executing->do_post_task_switch_extension = FALSE;
+    _Thread_Executing->do_post_task_switch_extension = false;
     _API_extensions_Run_postswitch();
   }
Index: c/src/lib/libbsp/powerpc/mbx8xx/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/startup/bspstart.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/mbx8xx/startup/bspstart.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -42,11 +42,11 @@
 uint32_t   bsp_clock_speed;
 uint32_t   bsp_serial_per_sec;	       /* Serial clocks per second */
-boolean    bsp_serial_external_clock;
-boolean    bsp_serial_xon_xoff;
-boolean    bsp_serial_cts_rts;
+bool       bsp_serial_external_clock;
+bool       bsp_serial_xon_xoff;
+bool       bsp_serial_cts_rts;
 uint32_t   bsp_serial_rate;
 uint32_t   bsp_timer_average_overhead; /* Average overhead of timer in ticks */
 uint32_t   bsp_timer_least_valid;      /* Least valid number from timer      */
-boolean    bsp_timer_internal_clock;   /* TRUE, when timer runs with CPU clk */
+bool       bsp_timer_internal_clock;   /* TRUE, when timer runs with CPU clk */
 
 /*
@@ -206,7 +206,7 @@
 
   bsp_serial_per_sec = 10000000;
-  bsp_serial_external_clock = 1;
-  bsp_serial_xon_xoff = 0;
-  bsp_serial_cts_rts = 1;
+  bsp_serial_external_clock = true;
+  bsp_serial_xon_xoff = false;
+  bsp_serial_cts_rts = true;
   bsp_serial_rate = 9600;
 #if ( defined(mbx821_001) || defined(mbx821_001b) || defined(mbx860_001b) )
Index: c/src/lib/libbsp/powerpc/mbx8xx/startup/bspstart.c.nocache
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/startup/bspstart.c.nocache	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/mbx8xx/startup/bspstart.c.nocache	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -30,11 +30,11 @@
 uint32_t   bsp_clicks_per_usec;
 uint32_t   bsp_serial_per_sec;	       /* Serial clocks per second */
-boolean    bsp_serial_external_clock;
-boolean    bsp_serial_xon_xoff;
-boolean    bsp_serial_cts_rts;
+bool       bsp_serial_external_clock;
+bool       bsp_serial_xon_xoff;
+bool       bsp_serial_cts_rts;
 uint32_t   bsp_serial_rate;
 uint32_t   bsp_timer_average_overhead; /* Average overhead of timer in ticks */
 uint32_t   bsp_timer_least_valid;      /* Least valid number from timer      */
-boolean    bsp_timer_internal_clock;   /* TRUE, when timer runs with CPU clk */
+bool       bsp_timer_internal_clock;   /* TRUE, when timer runs with CPU clk */
 
 /*
Index: c/src/lib/libbsp/powerpc/score603e/irq/irq.c
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/irq/irq.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/score603e/irq/irq.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -461,5 +461,5 @@
   if ( _Thread_Do_post_task_switch_extension ||
        _Thread_Executing->do_post_task_switch_extension ) {
-    _Thread_Executing->do_post_task_switch_extension = FALSE;
+    _Thread_Executing->do_post_task_switch_extension = false;
     _API_extensions_Run_postswitch();
   }
Index: c/src/lib/libbsp/powerpc/shared/irq/irq.c
===================================================================
--- c/src/lib/libbsp/powerpc/shared/irq/irq.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/shared/irq/irq.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -340,5 +340,5 @@
   if ( _Thread_Do_post_task_switch_extension ||
        _Thread_Executing->do_post_task_switch_extension ) {
-    _Thread_Executing->do_post_task_switch_extension = FALSE;
+    _Thread_Executing->do_post_task_switch_extension = false;
     _API_extensions_Run_postswitch();
   }
Index: c/src/lib/libbsp/powerpc/virtex/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/virtex/startup/bspstart.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libbsp/powerpc/virtex/startup/bspstart.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -81,11 +81,11 @@
 uint32_t   bsp_clicks_per_usec;
 uint32_t   bsp_serial_per_sec;	       /* Serial clocks per second */
-boolean    bsp_serial_external_clock;
-boolean    bsp_serial_xon_xoff;
-boolean    bsp_serial_cts_rts;
+bool       bsp_serial_external_clock;
+bool       bsp_serial_xon_xoff;
+bool       bsp_serial_cts_rts;
 uint32_t   bsp_serial_rate;
 uint32_t   bsp_timer_average_overhead; /* Average overhead of timer in ticks */
 uint32_t   bsp_timer_least_valid;      /* Least valid number from timer      */
-boolean    bsp_timer_internal_clock;   /* TRUE, when timer runs with CPU clk */
+bool       bsp_timer_internal_clock;   /* TRUE, when timer runs with CPU clk */
 
 
@@ -171,8 +171,8 @@
   bsp_clicks_per_usec = (250000000 / 1000000);
   bsp_serial_per_sec = 14625000;
-  bsp_serial_external_clock = 0;
-  bsp_timer_internal_clock  = 1;
-  bsp_serial_xon_xoff = 0;
-  bsp_serial_cts_rts = 0;
+  bsp_serial_external_clock = false;
+  bsp_timer_internal_clock  = true;
+  bsp_serial_xon_xoff = false;
+  bsp_serial_cts_rts = false;
   bsp_serial_rate = 115200;
   bsp_timer_average_overhead = 2;
@@ -238,3 +238,2 @@
   BSP_ask_for_reset();
 }
- 
Index: c/src/lib/libcpu/bfin/interrupt/interrupt.h
===================================================================
--- c/src/lib/libcpu/bfin/interrupt/interrupt.h	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/bfin/interrupt/interrupt.h	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -66,12 +66,12 @@
 
 /* enable/disable specific ISR */
-void bfin_interrupt_enable(bfin_isr_t *isr, boolean enable);
+void bfin_interrupt_enable(bfin_isr_t *isr, bool enable);
 
 /* atomically enable/disable all ISRs attached to specified source */
-void bfin_interrupt_enable_all(int source, boolean enable);
+void bfin_interrupt_enable_all(int source, bool enable);
 
 /* disable a source independently of the individual ISR enables (starts
    out all enabled) */
-void bfin_interrupt_enable_global(int source, boolean enable);
+void bfin_interrupt_enable_global(int source, bool enable);
  
 #ifdef __cplusplus
Index: c/src/lib/libcpu/bfin/serial/spi.h
===================================================================
--- c/src/lib/libcpu/bfin/serial/spi.h	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/bfin/serial/spi.h	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -27,6 +27,6 @@
   /* parameters provided by bsp */
   uint32_t freq;
-  void *base;
-  boolean fast;
+  void    *base;
+  bool     fast;
   /* internal use */
   rtems_id irq_sema_id;
Index: c/src/lib/libcpu/bfin/serial/twi.h
===================================================================
--- c/src/lib/libcpu/bfin/serial/twi.h	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/bfin/serial/twi.h	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -26,10 +26,10 @@
   uint32_t sclk;
   void *base;
-  boolean fast;
+  bool fast;
   int8_t slave_address;
 } bfin_twi_config_t;
 
 typedef struct bfin_twi_request_s {
-  boolean write;
+  bool write;
   int count;
   void *data;
@@ -43,7 +43,7 @@
 typedef rtems_status_code (*bfin_twi_callback_t)(int channel,
                                                  void *arg,
-                                                 boolean general_call,
-                                                 boolean write,
-                                                 boolean done,
+                                                 bool general_call,
+                                                 bool write,
+                                                 bool done,
                                                  int read_count,
                                                  uint8_t *data);
Index: c/src/lib/libcpu/bfin/serial/uart.h
===================================================================
--- c/src/lib/libcpu/bfin/serial/uart.h	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/bfin/serial/uart.h	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -24,5 +24,5 @@
   const char *name;
   void *base_address;
-  boolean use_interrupts;
+  bool  use_interrupts;
   int force_baud;
   /* the following are for internal use */
Index: c/src/lib/libcpu/powerpc/mpc5xx/irq/irq.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc5xx/irq/irq.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/powerpc/mpc5xx/irq/irq.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -494,5 +494,5 @@
   if ( _Thread_Do_post_task_switch_extension ||
        _Thread_Executing->do_post_task_switch_extension ) {
-    _Thread_Executing->do_post_task_switch_extension = FALSE;
+    _Thread_Executing->do_post_task_switch_extension = false;
     _API_extensions_Run_postswitch();
   }
Index: c/src/lib/libcpu/powerpc/mpc83xx/spi/mpc83xx_spidrv.c
===================================================================
--- c/src/lib/libcpu/powerpc/mpc83xx/spi/mpc83xx_spidrv.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/powerpc/mpc83xx/spi/mpc83xx_spidrv.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -84,5 +84,5 @@
  mpc83xx_spi_softc_t *softc_ptr,         /* handle                         */
  uint32_t bits_per_char,                 /* bits per character             */
- boolean  lsb_first,                     /* TRUE: send LSB first           */
+ bool     lsb_first,                     /* TRUE: send LSB first           */
  uint32_t *spimode                       /* result value                   */
 )
Index: c/src/lib/libcpu/powerpc/new-exceptions/bspsupport/ppc_exc_hdl.c
===================================================================
--- c/src/lib/libcpu/powerpc/new-exceptions/bspsupport/ppc_exc_hdl.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/powerpc/new-exceptions/bspsupport/ppc_exc_hdl.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -106,5 +106,5 @@
 		if ( _Thread_Do_post_task_switch_extension ||
 				_Thread_Executing->do_post_task_switch_extension ) {
-			_Thread_Executing->do_post_task_switch_extension = FALSE;
+			_Thread_Executing->do_post_task_switch_extension = false;
 			_API_extensions_Run_postswitch();
 		}
Index: c/src/lib/libcpu/powerpc/new-exceptions/cpu.c
===================================================================
--- c/src/lib/libcpu/powerpc/new-exceptions/cpu.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/powerpc/new-exceptions/cpu.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -63,5 +63,5 @@
   uint32_t          new_level,
   void             *entry_point,
-  boolean           is_fp
+  bool              is_fp
 )
 {
Index: c/src/lib/libcpu/powerpc/new-exceptions/raw_exception.h
===================================================================
--- c/src/lib/libcpu/powerpc/new-exceptions/raw_exception.h	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/powerpc/new-exceptions/raw_exception.h	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -246,5 +246,5 @@
  * This should probably go away... (T.S. 2007/11/30)
  */
-extern boolean bsp_exceptions_in_RAM;
+extern bool bsp_exceptions_in_RAM;
 
 /**
Index: c/src/lib/libcpu/powerpc/ppc403/clock/clock.c
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/clock/clock.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/powerpc/ppc403/clock/clock.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -221,5 +221,5 @@
     register uint32_t   tcr;
     extern uint32_t bsp_clicks_per_usec;
-    extern boolean bsp_timer_internal_clock;
+    extern bool bsp_timer_internal_clock;
 #ifdef ppc403
     uint32_t   pvr;
Index: c/src/lib/libcpu/powerpc/ppc403/clock/clock_4xx.c
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/clock/clock_4xx.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/powerpc/ppc403/clock/clock_4xx.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -72,5 +72,5 @@
 /* Defined in bspstart.c */
 extern uint32_t bsp_clicks_per_usec;
-extern boolean bsp_timer_internal_clock;
+extern bool bsp_timer_internal_clock;
 
 /*
Index: c/src/lib/libcpu/powerpc/ppc403/console/console.c
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/console/console.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/powerpc/ppc403/console/console.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -341,5 +341,5 @@
   register unsigned tmp;
   rtems_isr_entry previous_isr; /* this is a dummy */
-  extern boolean bsp_serial_external_clock;
+  extern bool bsp_serial_external_clock;
   extern uint32_t bsp_serial_rate;
 
Index: c/src/lib/libcpu/powerpc/ppc403/console/console.c.polled
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/console/console.c.polled	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/powerpc/ppc403/console/console.c.polled	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -142,6 +142,6 @@
   register unsigned tmp;
   extern uint32_t bsp_serial_per_sec;
-  extern boolean bsp_serial_external_clock;
-  extern boolean bsp_serial_cts_rts;
+  extern bool bsp_serial_external_clock;
+  extern bool bsp_serial_cts_rts;
   extern uint32_t bsp_serial_rate;
 
@@ -266,5 +266,5 @@
 {
   unsigned char status;
-  extern boolean bsp_serial_xon_xoff;
+  extern bool bsp_serial_xon_xoff;
 
   while (port->SPHS)
Index: c/src/lib/libcpu/powerpc/ppc403/console/console405.c
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/console/console405.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/powerpc/ppc403/console/console405.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -358,5 +358,5 @@
   rtems_isr_entry previous_isr; /* this is a dummy */
   unsigned char _ier;
-  extern boolean bsp_serial_external_clock;
+  extern bool bsp_serial_external_clock;
   extern uint32_t bsp_serial_rate;
 
Index: c/src/lib/libcpu/powerpc/ppc403/tty_drv/tty_drv.c
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/tty_drv/tty_drv.c	(revision 0a4c19ab2ec193e2688f35390f0870e0ac559a1b)
+++ c/src/lib/libcpu/powerpc/ppc403/tty_drv/tty_drv.c	(revision 39d08d55e94d63aa0d4dd7281764a170382ae930)
@@ -20,7 +20,7 @@
 
 extern uint32_t bsp_serial_per_sec;
-extern boolean bsp_serial_external_clock;
-extern boolean bsp_serial_cts_rts;
-extern boolean bsp_serial_xon_xoff;
+extern bool bsp_serial_external_clock;
+extern bool bsp_serial_cts_rts;
+extern bool bsp_serial_xon_xoff;
 extern uint32_t bsp_serial_rate;
 
@@ -352,5 +352,5 @@
   unsigned char _tmp;
   extern uint32_t bsp_serial_rate;
-  extern boolean bsp_serial_external_clock;
+  extern bool bsp_serial_external_clock;
 
   /*
